

//Adding to storage
function addToStorage(id,label){
    if (!hasInStorage(id)) {
        var data = getStorage();
        data[id] = label;
        saveStorage(data);
    }
}

//loading from storage
function getStorage(){
    var current = localStorage["favorites"];
    var data = {};
    if(typeof current != "undefined") data=window.JSON.parse(current);
    return data;
}

//Checking storage
function hasInStorage(id){
    return (id in getStorage());
}

//Adding to storage
function removeFromStorage(id){
    if (hasInStorage(id)) {
        var data = getStorage();
        delete data[id];
        //console.log('removed '+id);
        saveStorage(data);
    }
}

//save storage
function saveStorage(data){
    //console.log("To store...");
    //console.dir(data);
    localStorage["favorites"] = window.JSON.stringify(data);
}


$('#favoritesPage').live('pageshow', function(event) {
    displayFavorites();
});

$('#addToFavoritesDialog').live('pageshow', function(event) {
    //fill in favanme
    var date = new Date();
    var date_str=('0'+date.getFullYear()).substr(-2,2)+'-'+
            ('0'+date.getMonth()).substr(-2,2)+'-'+
            ('0'+date.getDate()).substr(-2,2)+' '+
            ('0'+date.getHours()).substr(-2,2)+':'+
            ('0'+date.getMinutes()).substr(-2,2)+':'+
            ('0'+date.getSeconds()).substr(-2,2);
        ;
    $("#favname").val(date_str);
});



function displayFavorites() {

    var favs = getStorage();
    var $favoritesList = $("#favoritesList");
    if (!$.isEmptyObject(favs)) {

            $favoritesList.empty();
            var s = "<li data-role=\"list-divider\">Favorites</li>";
            for (var key in favs) {
                var favname=localStorage.getItem(key+'_name');
                s+= "<li><a href=\"javascript:loadFav('"+key+"');\">"+favname+"</a></li>";
            }
            $favoritesList.append(s);
            $favoritesList.listview("refresh");

    } else {
        // remove list if it exists and there are no favs
        if($favoritesList.size() > 0) $favoritesList.remove();
    }

}

function loadFav(key) {
    var data = getStorage();
    searchFormSaved=data[key];
    searchFormSavedKey=md5(searchFormSaved);
    searchQuery=localStorage.getItem(key+'_query');

    stringToForm(searchFormSaved,$("#searchForm"));
    doSearch=1;

    localStorage.setItem('searchFormSaved',searchFormSaved);

    $.mobile.changePage('tracklist.html', {transition: 'slide'});

}


$('#addToFavoritesButton').live('vclick', function(event, ui){
    localStorage.setItem(searchFormSavedKey+'_name',$("#favname").val());
    localStorage.setItem(searchFormSavedKey+'_query',searchQuery);

    addToStorage(searchFormSavedKey,searchFormSaved);
    $("#addToFavoritesDialog").dialog("close");
});


$('#removeFromFavoritesButton').live('vclick', function(event, ui){
    localStorage.removeItem(searchFormSavedKey+'_name');
    localStorage.removeItem(searchFormSavedKey+'_query');
    removeFromStorage(searchFormSavedKey);
    $("#removeFromFavoritesDialog").dialog("close");
});