

$('#locationPopup').live('pageshow', function(event) {
    getLocationFromDevice0();
});


function storelocation() {
    localStorage.setItem('lat', lat);
    localStorage.setItem('lon', lon);
    localStorage.setItem('address', address);
}

function loadLocation() {
    lat = localStorage.getItem('lat');
    lon = localStorage.getItem('lon');
    address=localStorage.getItem('address');
}

function getLocationFromDevice0() {

    if (navigator.geolocation) {

        $("#locationOK").hide();
        $("#locationResult").html("<img src='img/ajax-loader.gif'>");

        //Calling the API itself requires an asynchronous callback which you can simply define inline:
        navigator.geolocation.getCurrentPosition(function(position){
            lat = position.coords.latitude;
            lon = position.coords.longitude;

            var url="http://api.geonames.org/findNearbyPlaceNameJSON?lat="+lat+"&lng="+lon+"&username=leonardodhv";
            $.getJSON(url, function(data) {

                var name = data.geonames[0].name;
                var distance= data.geonames[0].distance;

                address=name+" ("+distance+" km)";

                $("#locationResult").html( getLangString("Your location is")+": lat:"+lat+" lon:"+lon);
                $("#locationResult").append("<h1>"+address+"</h1>");
                //   $("#locationResult").before('<p><a href="#mainPage" data-rel="back" data-role="button" data-inline="true" data-icon="back">Done</a></p>');
                $("#locationOK").show();
                var gmapurl="https://maps.googleapis.com/maps/api/staticmap?center="+lat+","+lon+
                    "&markers=color:green%7C"+lat+","+ lon+"&zoom=14&size=300x300&sensor=false";
                $("#locationResult").append("<img src='"+gmapurl+"' width='100%'>");

                $("#lat").val(lat);
                $("#lon").val(lon);
                $("#address0").html(address);

                storelocation();

            });


        },handle_errors,{timeout:10000,enableHighAccuracy: false,maximumAge:3600 });
    } else {

        lat=49;
        lon=10;
    }

}

function handle_errors(error)
{
    var msg;
    switch(error.code)
    {
        case error.PERMISSION_DENIED: msg="user did not share geolocation data";
            break;
        case error.POSITION_UNAVAILABLE: msg="could not detect current position";
            break;
        case error.TIMEOUT: msg="retrieving position timed out";
            break;
        default: msg="unknown error";
            break;
    }
    $("#locationResult").html("Cannot get Position, "+msg);
}

function getLocationFromDevice() {

    if (navigator.geolocation) {

        $("#trackList").html("<img src='img/ajax-loader.gif'>");

        //$("#Users").load('/mobile.ajax.php?lat=40&lon=22');
        //return;

        //Calling the API itself requires an asynchronous callback which you can simply define inline:
        navigator.geolocation.getCurrentPosition(function(position){
            lat = position.coords.latitude;
            lon = position.coords.longitude;
            $("#trackList").html("");
            storelocation();
            getTrackList();
            // $("#Users").html("<img src='/img/ajax-loader.gif'>");
            // $("#Users").load('/mobile.ajax.php?lat='+lat+'&lon='+lon);

        },function(error){
            //use error.code to determine what went wrong
            $("#trackList").html("Cannot get Position, error #"+error);
        },{timeout:10000,enableHighAccuracy: false, maximumAge:3600 });
    } else {

        lat=49;
        lon=10;
    }

}


$('#trackListPage').live('pageshow', function(event) {
    updateLangTexts();

    if (doSearch==1) {
        getSearchList();
    } else if (tracks==null) {

        if (!lat && !lon ) {
            getLocationFromDevice();
        } else {
            getTrackList();
        }

    } else {
        displayTracks();
    }

    var searchID = searchFormSavedKey;
    if (searchFormSavedKey!=null && !hasInStorage(searchFormSavedKey)) {
        $(".addToFavoritesDiv").show();
        $(".removeFromFavoritesDiv").hide();
    } else {
        $(".addToFavoritesDiv").hide();
        $(".removeFromFavoritesDiv").show();
    }

    /*
    if (!lat && !lon ) {
        getLocationFromDevice();
    } else {
        getTrackList();
    }*/

});


function displayTracks() {
    $('#trackList li').remove();
    $.each(tracks, function(index, flight) {
        $('#trackList').append('<li><a href="trackdetails.html?id=' + flight.flightID + '">' +
            //	'<img src="pics/' + flight.picture + '"/>' +
            '<h4>' + flight.takeoff + '</h4>' +
            '<p>' + flight.pilotName +'</p>' +
            '<p>Duration: ' + flight.DURATION +  ' Score: '+flight.olcScore +  '&nbsp;'+flight.olcScoreType +' - '+flight.olcDistance+'</p>' +
            '<span class="ui-li-count">' + flight.date+ '</span></a></li>');
    });
    $('#trackList').listview('refresh');
}

function getTrackList() {

	$.getJSON(serviceURL + 'AJAX_flight.php?op=list_flights_json&lat='+lat+'&lon='+lon+'&count='+count+'&distance=1000', function(data) {
		tracks = data.flights;
        displayTracks();
        doSearch=0;
	});
}